Subject: l2vpn signaling (LDP/CR-LDP/RSVP-TE)

From: Chris Lewis <[email-masked]>
Date: Thu, 15 Jan 2004 11:38:35 -0600

Moshe,

I think it's a question of where you want your TE to operate within your 
network. If you want to take TE all the way out to the PE devices, I see no 
reason why a specific implementation can't use RSVP to signal the outer 
label value rather than LDP. If (as many folks decide) you want to restrict 
the use of TE to somewhere more within the core of your network, the point 
is moot.

Chris

Message: 1
From: [email-masked]
Subject: l2vpn signaling (LDP/CR-LDP/RSVP-TE)
To: [email-masked], [email-masked]
Date: Thu, 15 Jan 2004 16:28:12 +0200
Hello.
Since the decision (RFC3468) to not progress CR-LDP, it seems that in a
PWE3 ethernet VC, or any traffic-engineered l2vpn-ldp solution, A PE will
signal VC-LSPs using LDP on top of pre-signaled Tunnel-LSPs using RSVP-TE.
This forces any edge equipment to support both RSVP-TE and LDP.
Is this the right way to go (or am I missing something, and the above
observation is incorrect)?
Have the WGs considered a PWE3/VPLS signaling using RSVP?
Thanks!
/Moshe

--__--__--
Message: 2
Date: Thu, 15 Jan 2004 17:24:03 +0100
From: Loa Andersson <[email-masked]>
To: [email-masked]
CC: [email-masked], [email-masked]
Subject: Re: l2vpn signaling (LDP/CR-LDP/RSVP-TE)
Moshe,
this is a horse and cart issue. Most commonly you'll have
an MPLS-enabled network using TE and L3vpn, you will do
TE by RSVP-TE. If you introduce l2vpn into that network
why would you want to add an extra protocol for that
specific TE?
/Loa
[email-masked] wrote:
 >Hello.
 >
 >Since the decision (RFC3468) to not progress CR-LDP, it seems that in a
 >PWE3 ethernet VC, or any traffic-engineered l2vpn-ldp solution, A PE will
 >signal VC-LSPs using LDP on top of pre-signaled Tunnel-LSPs using RSVP-TE.
 >This forces any edge equipment to support both RSVP-TE and LDP.
 >
 >Is this the right way to go (or am I missing something, and the above
 >observation is incorrect)?
 >
 >Have the WGs considered a PWE3/VPLS signaling using RSVP?
 >
 >Thanks!
 >/Moshe
 >
 >
 >
 >
 >
 >
--
Loa Andersson
mobile +46 739 81 21 64